<script type="text/javascript">
$(document).ready(function(){
	$("#data_detail").load("spv/brg_rusak/tampil_data.php");
	$("#form_cari_kode").hide();
		
	$('#form_cari_kode').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#cari_kode').click(function(){
		$('#form_cari_kode').dialog('open');
		no=1
		
		$.ajax({
			type	: "POST",
			url		: "spv/brg_rusak/tampil_data_kb.php",
			data	: "no="+no,
			timeout	: 3000,
			beforeSend	: function(){
				$("#info_kode").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){				
				$("#info_kode").html(data);
			}
		});
	});
	
	$("#posting").click(function(){
		posting_kb();
	});
		
	function posting_kb(){
		var	kode	= $("#txt_kode").val();
		var	tanggal	= $("#txt_tanggal").val();
		
		var error = false;
		if(kode.length == 0){
           var error = true;
			alert("Maaf, Kode kerusakan masih kosong, klik icon di samping Kode KB untuk mencari.");
		   return (false);
        }
			
		if(error == false){		
		$.ajax({
			type	: "POST",
			url		: "spv/brg_rusak/posting.php",
			data	: "kode="+kode+
				"&tanggal="+tanggal,
								
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$("#txt_kode").val('');
				$("#txt_tanggal").val('');
				$("#data_detail").load("spv/brg_rusak/tampil_data.php");				
			}
		});
		}
	}
		
	$("#tutup").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
include '../../inc/fungsi_tanggal.php';

echo "<table width='100%'>	
	<tr>
		<td width='15%'>Kode Kerusakan</td>
		<td>:</td>
		<td>
			<input type='text' name='txt_kode' id='txt_kode' size='9' class='input_header' readonly />
			<img src='images/view.png' width='18' height='18' title='Cari Kode Kerusakan Barang' id='cari_kode'>
		</td>
		<td width='3%'></td>
		<td>Tanggal</td>
		<td>:</td>
		<td><input type='date' name='txt_tanggal' id='txt_tanggal' size='9' class='input_header' readonly ></td>
		<td width='3%'></td>
		<td>Jenis</td>
		<td>:</td>
		<td><input type='text' name='txt_jenisst' id='txt_jenisst' size='11' class='input_header' readonly ></td>
	</tr>
	<tr>
		<td colspan='12' align='center'>
			<button name='posting' id='posting'>Posting</button>
			<button name='tutup' id='tutup'>Tutup</button>
		</td>
	</tr>
	</table>
	<div id='data_detail'></div>";

echo "<div id='form_cari_kode' title='Pencarian Kode Kerusakan Barang'>		
		<div id='info_kode' align='center'></div>
	</div>";
?>